Bug 2055473 - CVE-2022-25271 drupal7: drupal: improper input validation found via drupal core api [fedora-all]
Summary: CVE-2022-25271 drupal7: drupal: improper input validation found via drupal co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drupal7
Version: 35
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-25271
TreeView+ depends on / blocked
 
Reported: 2022-02-17 03:55 UTC by Sandipan Roy
Modified: 2022-11-10 22:18 UTC (History)
4 users (show)

Fixed In Version: drupal7-7.92-1.el7 drupal7-7.92-1.fc36 drupal7-7.92-1.fc35 drupal7-7.92-1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-23 08:28:03 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2022-02-17 03:55:36 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Sandipan Roy 2022-02-17 03:55:41 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2055471,2055473

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-10-15 15:12:41 UTC
FEDORA-2022-9d655503ea has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9d655503ea

Comment 3 Fedora Update System 2022-10-15 15:12:43 UTC
FEDORA-2022-c4334d5277 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c4334d5277

Comment 4 Fedora Update System 2022-10-15 15:12:45 UTC
FEDORA-EPEL-2022-22e6871166 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-22e6871166

Comment 5 Fedora Update System 2022-10-15 17:44:23 UTC
FEDORA-2022-c4334d5277 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c4334d5277`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c4334d5277

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-10-15 21:40:47 UTC
FEDORA-EPEL-2022-22e6871166 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-22e6871166

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-10-15 22:21:36 UTC
FEDORA-2022-9d655503ea has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-9d655503ea`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9d655503ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-10-23 08:28:03 UTC
FEDORA-EPEL-2022-22e6871166 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-10-23 09:03:45 UTC
FEDORA-2022-9d655503ea has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-10-25 15:29:13 UTC
FEDORA-2022-bf18450366 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-bf18450366

Comment 11 Fedora Update System 2022-10-26 18:40:58 UTC
FEDORA-2022-bf18450366 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-bf18450366`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-bf18450366

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-11-03 15:30:35 UTC
FEDORA-2022-bf18450366 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-11-10 22:18:32 UTC
FEDORA-2022-c4334d5277 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.